---
- name: Ensure /etc/xdg/autostart exists
  become: yes
  file:
    path: "/etc/xdg/autostart"
    state: directory
    mode: '0755'

- name: Create autostart entry to disable compositing
  become: yes
  copy:
    dest: "/etc/xdg/autostart/disable_compositing.desktop"
    content: |
      [Desktop Entry]
      Type=Application
      Exec=/usr/bin/gsettings set org.mate.Marco.general compositing-manager false
      Hidden=false
      NoDisplay=false
      X-GNOME-Autostart-enabled=true
      Name[en_US]=DisableCompositing
      Name=DisableCompositing
    mode: '0644'